#### D.12.3.23 ellipticAdd

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  ellipticAdd(N,a,b,P,Q);

Return:
  list L, representing the point P+Q

Note:
  P=(P[1]:P[2]:P[3]), Q=(Q[1]:Q[2]:Q[3]) points on the elliptic curve defined by y^2z=x^3+a*xz^2+b*z^3 over Z/N

Example:

    LIB "crypto.lib";
    bigint N=11;
    bigint a=1;
    bigint b=6;
    list P,Q;
    P[1]=2;
    P[2]=4;
    P[3]=1;
    Q[1]=3;
    Q[2]=5;
    Q[3]=1;
    ellipticAdd(N,a,b,P,Q);
    ==> [1]:
    ==>    7
    ==> [2]:
    ==>    2
    ==> [3]:
    ==>    1

User manual for Singular version 4-0-3, 2016, generated by texi2html.